## Apache Zeta Components Manual :: Docs For Class ezcGraphException

### Graph::ezcGraphException

### Class ezcGraphException

General exception container for the Graph component.

Source for this file: /Graph/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcGraphException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcGraphMatrixOutOfBoundingsException | Exception thrown when a requested matrix value is out of the boundings of the matrix.
ezcGraphDatasetAverageInvalidKeysException | Exception thrown when a dataset with non numeric keys is used with average datasets.
ezcGraphInvalidImageFileException | Exception thrown when a file can not be used as a image file.
ezcGraphReducementFailedException | Exception thrown when a requested reducement of an ellipse or polygone failed because the shape was already too small.
ezcGraphUnknownColorDefinitionException | Exception thrown, when a given value could not be interpreted as a color by ezcGraphColor.
ezcGraphInvalidDisplayTypeException | Exception thrown when an unsupported data type is set for the current chart.
ezcGraphFlashBitmapTypeException | Flash can only embed JPEGs and PNGs. This exception is thrown for * all other image types.
ezcGraphGdDriverUnsupportedImageTypeException | Exception thrown if the image type is not supported and therefore could not be used in the gd driver.
ezcGraphErrorParsingDateException | Exception thrown when a date assigned to the ezcGraphChartElementDateAxis could not be parsed.
ezcGraphFontRenderingException | Exception thrown when it is not possible to render a string beacause of minimum font size in the desinated bounding box.
ezcGraphNoSuchDataSetException | Exception thrown when trying to access a non exising dataset.
ezcGraphSvgDriverInvalidIdException | Exception thrown when a id could not be found in a SVG document to insert elements in.
ezcGraphInvalidDataException | Exception thrown when invalid data is provided, which cannot be rendered for some reason.
ezcGraphNoSuchElementException | Exception thrown when trying to access a non existing chart element.
ezcGraphOutOfLogithmicalBoundingsException | Exception thrown when data exceeds the values which are displayable on an logarithmical scaled axis.
ezcGraphInvalidAssignementException | Exception thrown, when trying a property cannot be set for a data point, but only for data sets.
ezcGraphToolsNotRenderedException | Exception thrown when a chart was not rendered yet, but the graph tool requires information only available in rendered charts.
ezcGraphToolsIncompatibleDriverException | Exception thrown when trying to modify rendered images with incompatible graph tools.
ezcGraphTooManyDataSetsExceptions | Exception thrown when trying to insert too many data sets in a data set container.
ezcGraphInvalidArrayDataSourceException | Exception thrown when an invalid data source is provided for an array data set.
ezcGraphNoDataException | Exception shown, when trying to render a chart without assigning any data.
ezcGraphUnknownFontTypeException | Exception thrown if font type is unknown or not supported.
ezcGraphInvalidStepSizeException | Exception thrown when the major or minor step size does not divide cleanly the value span it should be used for.
ezcGraphNoSuchDataException | Exception shown, when trying to access not existing data in datasets.
ezcGraphUnregularStepsException | Exception thrown when a bar chart shouls be rendered on an axis using unregular step sizes.
ezcGraphMatrixInvalidDimensionsException | Exception thrown when an operation is not possible because of incompatible matrix dimensions.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3